# $Revision: 1.141 $, $Date: 2012/02/16 10:54:26 $
#
# Conditional build:
%bcond_without	gphoto	# no gphoto backend (which requires libgphoto2)
%bcond_without	lpt	# no parallel port backends (which require libieee1284)
#
Summary:	SANE - easy local and networked scanner access
Summary(es.UTF-8):	SANE - acceso a scanners en red y locales
Summary(ko.UTF-8):	스캐너를 다루는 소프트웨어
Summary(pl.UTF-8):	SANE - prosta obsługa skanerów lokalnych i sieciowych
Summary(pt_BR.UTF-8):	SANE - acesso a scanners locais e em rede
Name:		sane-backends
Version:	1.0.22
Release:	8
License:	relaxed GPL v2+ (libraries), Public Domain (docs)
Group:		Libraries
Source0:	ftp://ftp.sane-project.org/pub/sane/%{name}-%{version}/sane-backends-%{version}.tar.gz
# Source0-md5:	fadf56a60f4776bfb24491f66b617cf5
Source1:	%{name}.rc-inetd
Source2:	%{name}.m4
Patch0:		%{name}-lockpath_group.patch
Patch1:		%{name}-mustek-path.patch
Patch2:		%{name}-spatc.patch
Patch4:		%{name}-link.patch
Patch5:		http://patch-tracker.debian.org/patch/series/dl/sane-backends/1.0.22-6/xerox_mfp_fix_usb_devices.patch
Patch6:		sane-backends-1.0.22-v4l.patch
URL:		http://www.sane-project.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_gphoto:BuildRequires:	libgphoto2-devel >= 2.0.1}
%{?with_lpt:BuildRequires:	libieee1284-devel >= 0.1.5}
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%if "%{pld_release}" == "ac"
BuildRequires:	libusb-devel < 1.0
%else
BuildRequires:	libusb-compat-devel >= 0.1.0
%endif
BuildRequires:	libv4l-devel
BuildRequires:	net-snmp-devel
BuildRequires:	pkgconfig
BuildRequires:	resmgr-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	tetex-latex-psnfss
%if "%{pld_release}" != "ti" && "%{pld_release}" != "ac"
BuildRequires:	texlive-latex-effects
%endif
Requires:	setup >= 2.4.10-1
Obsoletes:	sane
Obsoletes:	sane-backends-sm3600
Conflicts:	sane-backends-plustek
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras. SANE currently includes modules for
accessing:

Scanners: Abaton, Agfa, Apple, Artec, Avision, Bell+Howell, Canon,
Epson, Fujitsu, HP, LEO, Microtek, Mustek, NEC, Nikon, Panasonic, PIE,
Plustek, Ricoh, Sceptre, Sharp, Siemens, Tamarack, Teco, UMAX

Digital cameras: Kodak, Polaroid, Connectix QuickCam

and other SANE devices via network.

%description -l es.UTF-8
SANE - acceso a scanners en red y locales.

%description -l pl.UTF-8
SANE (Scanner Access Now Easy) jest rozsądnym i prostym insterfejsem
do skanerów, zarówno lokalnych jak i sieciowych, oraz innych urządzeń
do pozyskiwania obrazów, jak cyfrowe aparaty i kamery. SANE aktualnie
zawiera moduły do obsługi:

Skanery: Abaton, Agfa, Apple, Artec, Avision, Bell+Howell, Canon,
Epson, Fujitsu, HP, LEO, Microtek, Mustek, NEC, Nikon, Panasonic, PIE,
Plustek, Ricoh, Sceptre, Sharp, Siemens, Tamarack, Teco, UMAX

Aparaty cyfrowe: Kodak, Polaroid, Connectix QuickCam

oraz inne urządzenia dostępne przez sieć.

%description -l pt_BR.UTF-8
O SANE (Scanner Access Now Easy) é uma interface simples para scanners
e outros dispositivos de captura de imagens como câmeras fotográficas
digitais e de vídeo conectados diretamente ou através da rede.

%package devel
Summary:	Development part of SANE
Summary(es.UTF-8):	Archivos necesarios para el desarrollo de programas que usen SANE
Summary(pl.UTF-8):	Część SANE przeznaczona dla programistów
Summary(pt_BR.UTF-8):	Arquivos necessários ao desenvolvimento de programas que usem o SANE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libieee1284-devel
Requires:	libusb-compat-devel >= 0.1.0
Requires:	resmgr-devel
Obsoletes:	sane-backends-sane-devel
Obsoletes:	sane-backends-sane-static

%description devel
Development part of SANE.

%description devel -l es.UTF-8
Archivos necesarios para el desarrollo de programas que usen SANE.

%description devel -l pl.UTF-8
Część SANE dla programistów.

%description devel -l pt_BR.UTF-8
Arquivos necessários ao desenvolvimento de programas que usem o SANE.

%package static
Summary:	Static SANE libraries
Summary(pl.UTF-8):	Statyczne biblioteki SANE
Summary(pt_BR.UTF-8):	Ferramentas de desenvolvimento para o SANE (bibliotecas estáticas)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	sane-backends-sane-static

%description static
Static SANE libraries.

%description static -l pl.UTF-8
Biblioteki statyczne SANE.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de módulos do SANE.

%package saned
Summary:	SANE network daemon
Summary(pl.UTF-8):	Demon sieciowy SANE
Group:		Networking/Daemons
Requires(post,postun):	/sbin/ldconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(preun):	/usr/sbin/groupdel
Requires(preun):	/usr/sbin/userdel
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	group(saned)
Provides:	user(saned)

%description saned
saned is the SANE (Scanner Access Now Easy) daemon that allows remote
clients to access image acquisition devices available on the local
host.

%description saned -l pl.UTF-8
saned to demon SANE pozwalający zdalnym klientom na dostęp do urządzeń
odczytujących obraz podłączonych lokalnie.

%package -n sane-mustek600IIN
Summary:	Mustek 600 II N scanner tool
Summary(pl.UTF-8):	Narzędzie do skanera Mustek 600 II N
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n sane-mustek600IIN
Tool which turns Mustek 600 II N scanner off. Sometimes scanner hangs
and can't be turned off by (x)scanimage in normal way.

Note: this program needs root privileges or access to /dev/port.

%description -n sane-mustek600IIN -l pl.UTF-8
Narzędzie wymuszające wyłączenie skanera Mustek 600 II N. Czasem
skaner zawiesza się i nie jest możliwe wyłączenie go zwykłym sposobem
przez program (x)scanimage.

Ten program wymaga uprawnień roota albo dostępu do /dev/port.

%package gphoto2
Summary:	SANE backend for gphoto2 supported cameras
Summary(pl.UTF-8):	Sterownik SANE do aparatów obsługiwanych przez gphoto2
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description gphoto2
SANE backend for gphoto2 supported cameras.

%description gphoto2 -l pl.UTF-8
Sterownik SANE do aparatów obsługiwanych przez gphoto2.

%package magicolor
Summary:	SANE backend for KONICA MINOLTA Magicolor scanners
Summary(pl.UTF-8):	Sterownik SANE dla skanerów Magicolor firmy KONICA MINOLTA
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
# uses usb or net+snmp

%description magicolor
SANE backend for KONICA MINOLTA Magicolor scanners.

%description magicolor -l pl.UTF-8
Sterownik SANE dla skanerów Magicolor firmy KONICA MINOLTA.

%package pp
Summary:	SANE backends for parallel port scanners
Summary(pl.UTF-8):	Sterowniki SANE dla skanerów podłączanych do portu równoległego
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Obsoletes:	sane-backends-canon_pp
Obsoletes:	sane-backends-hpsj5s
# in case sb used parport scanner
Obsoletes:	kernel-char-plustek
Obsoletes:	kernel-smp-char-plustek
Obsoletes:	sane-backends-plustek

%description pp
SANE backends for parallel port scanners. It includes the following
drivers:
- canon_pp (Canon CanoScan FBxxxP, CanoScan NxxxP)
- hpsj5s (HP ScanJet 5S)
- mustek_pp (Mustek CIS and CCD scanners)
- plustek_pp (Plustek)

%description pp -l pl.UTF-8
Sterowniki SANE dla skanerów podłączanych do portu równoległego:
- canon_pp (Canon CanoScan FBxxxP, CanoScan NxxxP)
- hpsj5s (HP ScanJet 5S)
- mustek_pp (skanery Mustek CIS i CCD)
- plustek_pp (Plustek)

%package v4l
Summary:	SANE backend for Video4Linux supported devices
Summary(pl.UTF-8):	Sterownik SANE do urządzeń obsługiwanych przez system Video4Linux
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description v4l
SANE backend for Video4Linux supported devicecameras.

%description v4l -l pl.UTF-8
Sterownik SANE do urządzeń obsługiwanych przez system Video4Linux.

%prep
%setup -q
# kill libtool.m4 inclusion
grep -v '^m4_include' acinclude.m4 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pthread \
	--enable-static \
	--enable-pnm-backend \
	--enable-translations \
	%{?with_gphoto:--with-gphoto2}

# --enable-avahi? (BR: avahi-devel >= 0.6.24, R: for net backend)
# --enable-libusb_1_0 to use libusb 1.0 (but libgphoto2 still uses old libusb, so stick to this for now)

%{__make}

%ifarch %{ix86} %{x8664}
cd tools
%{__cc} %{rpmcppflags} -DHAVE_SYS_IO_H %{rpmcflags} %{rpmldflags} \
	-I../include -o mustek600iin-off mustek600iin-off.c
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,%{_aclocaldir},/var/lock/sane}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/saned
install %{SOURCE2} $RPM_BUILD_ROOT%{_aclocaldir}

%ifarch %{ix86} %{x8664}
install tools/mustek600iin-off $RPM_BUILD_ROOT%{_bindir}
%endif

%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/doc

# only shared modules - shut up check-files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/sane/libsane-*.{so,la,a}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%pre saned
%groupadd -g 90 saned
%useradd -u 90 -d /usr/share/empty -s /bin/false -c "SANE remote scanning daemon" -g saned saned

%post saned
%service -q rc-inetd reload

%postun saned
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
	%userremove saned
	%groupremove saned
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* LICENSE NEWS PROBLEMS PROJECTS README README.linux
%doc doc/canon doc/gt68xx doc/leo doc/matsushita doc/mustek doc/mustek_usb
%doc doc/mustek_usb2 doc/niash doc/plustek doc/sceptre doc/teco doc/u12 doc/umax
%attr(755,root,root) %{_bindir}/sane-find-scanner
%attr(755,root,root) %{_bindir}/scanimage
%attr(755,root,root) %{_bindir}/gamma4scanimage
%dir %{_sysconfdir}/sane.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/abaton.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/agfafocus.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/apple.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/artec.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/artec_eplus48u.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/avision.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/bh.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/canon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/canon630u.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/canon_dr.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/cardscan.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/coolscan.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/coolscan2.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/coolscan3.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dc210.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dc240.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dc25.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dell1600n_net.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dll.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/dmc.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/epjitsu.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/epson.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/epson2.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/fujitsu.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/genesys.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/gt68xx.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hp3900.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hp4200.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hp5400.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hs2p.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/ibm.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/kodak.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/leo.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/lexmark.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/ma1509.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/matsushita.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/microtek.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/microtek2.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/mustek.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/mustek_usb.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/nec.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/net.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/p5.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/pie.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/pixma.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/plustek.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/qcam.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/ricoh.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/rts8891.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/s9036.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/sceptre.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/sharp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/sm3840.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/snapscan.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/sp15c.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/st400.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/stv680.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/tamarack.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/teco1.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/teco2.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/teco3.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/test.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/u12.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/umax.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/umax1220u.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/umax_pp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/xerox_mfp.conf
%attr(755,root,root) %{_libdir}/libsane.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsane.so.1
%dir %{_libdir}/sane
%attr(755,root,root) %{_libdir}/sane/libsane-abaton.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-agfafocus.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-apple.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-artec.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-artec_eplus48u.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-as6e.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-avision.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-bh.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-canon.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-canon630u.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-canon_dr.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-cardscan.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-coolscan.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-coolscan2.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-coolscan3.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dc210.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dc240.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dc25.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dell1600n_net.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dll.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-dmc.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-epjitsu.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-epson.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-epson2.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-fujitsu.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-genesys.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-gt68xx.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp3500.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp3900.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp4200.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp5400.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hp5590.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hpljm1005.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hs2p.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-ibm.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-kodak.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-kvs1025.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-kvs20xx.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-leo.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-lexmark.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-ma1509.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-matsushita.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-microtek.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-microtek2.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-mustek.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-mustek_usb.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-mustek_usb2.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-nec.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-net.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-niash.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-p5.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-pie.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-pixma.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-plustek.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-pnm.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-qcam.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-ricoh.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-rts8891.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-s9036.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-sceptre.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-sharp.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-sm3600.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-sm3840.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-snapscan.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-sp15c.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-st400.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-stv680.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-tamarack.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-teco1.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-teco2.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-teco3.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-test.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-u12.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-umax.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-umax1220u.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-umax_pp.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-xerox_mfp.so.*
%dir %attr(775,root,usb) /var/lock/sane
%{_mandir}/man1/sane-find-scanner.1*
%{_mandir}/man1/scanimage.1*
%{_mandir}/man1/gamma4scanimage.1*
%{_mandir}/man1/sane-config.1*
%{_mandir}/man5/sane-abaton.5*
%{_mandir}/man5/sane-agfafocus.5*
%{_mandir}/man5/sane-apple.5*
%{_mandir}/man5/sane-artec.5*
%{_mandir}/man5/sane-artec_eplus48u.5*
%{_mandir}/man5/sane-as6e.5*
%{_mandir}/man5/sane-avision.5*
%{_mandir}/man5/sane-bh.5*
%{_mandir}/man5/sane-canon.5*
%{_mandir}/man5/sane-canon630u.5*
%{_mandir}/man5/sane-canon_dr.5*
%{_mandir}/man5/sane-cardscan.5*
%{_mandir}/man5/sane-coolscan.5*
%{_mandir}/man5/sane-coolscan2.5*
%{_mandir}/man5/sane-coolscan3.5*
%{_mandir}/man5/sane-dc210.5*
%{_mandir}/man5/sane-dc240.5*
%{_mandir}/man5/sane-dc25.5*
%{_mandir}/man5/sane-dll.5*
%{_mandir}/man5/sane-dmc.5*
%{_mandir}/man5/sane-epjitsu.5*
%{_mandir}/man5/sane-epson.5*
%{_mandir}/man5/sane-epson2.5*
%{_mandir}/man5/sane-fujitsu.5*
%{_mandir}/man5/sane-genesys.5*
%{_mandir}/man5/sane-gt68xx.5*
%{_mandir}/man5/sane-hp.5*
%{_mandir}/man5/sane-hp3500.5*
%{_mandir}/man5/sane-hp3900.5*
%{_mandir}/man5/sane-hp4200.5*
%{_mandir}/man5/sane-hp5400.5*
%{_mandir}/man5/sane-hp5590.5*
%{_mandir}/man5/sane-hpljm1005.5*
%{_mandir}/man5/sane-hs2p.5*
%{_mandir}/man5/sane-ibm.5*
%{_mandir}/man5/sane-kodak.5*
%{_mandir}/man5/sane-kvs1025.5*
%{_mandir}/man5/sane-kvs20xx.5*
%{_mandir}/man5/sane-leo.5*
%{_mandir}/man5/sane-lexmark.5*
%{_mandir}/man5/sane-ma1509.5*
%{_mandir}/man5/sane-matsushita.5*
%{_mandir}/man5/sane-microtek.5*
%{_mandir}/man5/sane-microtek2.5*
%{_mandir}/man5/sane-mustek.5*
%{_mandir}/man5/sane-mustek_usb.5*
%{_mandir}/man5/sane-mustek_usb2.5*
%{_mandir}/man5/sane-nec.5*
%{_mandir}/man5/sane-net.5*
%{_mandir}/man5/sane-niash.5*
%{_mandir}/man5/sane-p5.5*
%{_mandir}/man5/sane-pie.5*
%{_mandir}/man5/sane-pixma.5*
%{_mandir}/man5/sane-plustek.5*
%{_mandir}/man5/sane-pnm.5*
%{_mandir}/man5/sane-qcam.5*
%{_mandir}/man5/sane-ricoh.5*
%{_mandir}/man5/sane-rts8891.5*
%{_mandir}/man5/sane-s9036.5*
%{_mandir}/man5/sane-sceptre.5*
%{_mandir}/man5/sane-scsi.5*
%{_mandir}/man5/sane-sharp.5*
%{_mandir}/man5/sane-sm3600.5*
%{_mandir}/man5/sane-sm3840.5*
%{_mandir}/man5/sane-snapscan.5*
%{_mandir}/man5/sane-sp15c.5*
%{_mandir}/man5/sane-st400.5*
%{_mandir}/man5/sane-stv680.5*
%{_mandir}/man5/sane-tamarack.5*
%{_mandir}/man5/sane-teco1.5*
%{_mandir}/man5/sane-teco2.5*
%{_mandir}/man5/sane-teco3.5*
%{_mandir}/man5/sane-test.5*
%{_mandir}/man5/sane-u12.5*
%{_mandir}/man5/sane-umax.5*
%{_mandir}/man5/sane-umax1220u.5*
%{_mandir}/man5/sane-umax_pp.5*
%{_mandir}/man5/sane-usb.5*
%{_mandir}/man5/sane-xerox_mfp.5*
%{_mandir}/man7/sane.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sane-config
%attr(755,root,root) %{_libdir}/libsane.so
%{_libdir}/libsane.la
%{_includedir}/sane
%{_aclocaldir}/sane-backends.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libsane.a

%files saned
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/saned
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/saned.conf
%attr(755,root,root) %{_sbindir}/saned
%{_mandir}/man8/saned.8*

%ifarch %{ix86} %{x8664}
%files -n sane-mustek600IIN
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mustek600iin-off
%endif

%files magicolor
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/magicolor.conf
%attr(755,root,root) %{_libdir}/sane/libsane-magicolor.so.*
%{_mandir}/man5/sane-magicolor.5*

%if %{with gphoto}
%files gphoto2
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/gphoto2.conf
%attr(755,root,root) %{_libdir}/sane/libsane-gphoto2.so.*
%{_mandir}/man5/sane-gphoto2.5*
%endif

%if %{with lpt}
%files pp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/canon_pp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/hpsj5s.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/mustek_pp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/plustek_pp.conf
%attr(755,root,root) %{_libdir}/sane/libsane-canon_pp.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-hpsj5s.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-mustek_pp.so.*
%attr(755,root,root) %{_libdir}/sane/libsane-plustek_pp.so.*
%{_mandir}/man5/sane-canon_pp.5*
%{_mandir}/man5/sane-hpsj5s.5*
%{_mandir}/man5/sane-mustek_pp.5*
%{_mandir}/man5/sane-plustek_pp.5*
%endif

%files v4l
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sane.d/v4l.conf
%attr(755,root,root) %{_libdir}/sane/libsane-v4l.so.*
%{_mandir}/man5/sane-v4l.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sane-backends.spec,v $
Revision 1.141  2012/02/16 10:54:26  lisu
- rel 8

Revision 1.140  2012/01/13 19:00:10  arekm
- rel 7; fix build with new v4l

Revision 1.139  2012/01/13 16:35:20  arekm
- release 6

Revision 1.138  2011/09/30 09:00:56  jajcus
- xerox_mfp_fix_usb_devices.patch patch from Debian (fixes Samsung SCX-4300 for me)
- Release: 5

Revision 1.137  2011/08/27 15:34:40  arekm
- release 4

Revision 1.136  2011/07/30 19:53:12  arekm
- release 3

Revision 1.135  2011/07/28 19:48:14  baggins
- release 2

Revision 1.134  2011/03/02 20:30:54  qboosh
- package kvs20xx and magicolor backends
  (magicolor goes to separate package because of net-snmp dependency)

Revision 1.133  2011/02/25 09:56:55  caleb
- Up to 1.0.22
- Removed patches integrated upstream

Revision 1.132  2010/11/07 17:52:04  qboosh
- updated to 1.0.21
- added link patch, updated pl.po-update patch
- hp_rts88xx addon backend already obsoleted by upstream hp3500+rts8891
- added upstream i18n patch
- enable pthread (needed by mustek_usb2 backend)
- separated v4l backend (libv4l dependency)
- -devel R: libusb-devel, libieee1284-devel (but not libv4l-devel)

Revision 1.131  2010/04/06 23:16:33  sparky
- devel requires: libv4l-devel, resmgr-devel
- release: 3

Revision 1.130  2010/01/28 18:20:34  arekm
- release 2

Revision 1.129  2010/01/20 00:57:00  sparky
- rel 1; works for me: th-x86_64 box connects to ac-i586 with CanoScan,
  both sustem use sane-backends 1.0.20
- add hp_rts88xx do dll.conf
- please update pl.po-update.patch if you want it

Revision 1.128  2010/01/20 00:43:09  sparky
- Ac-compatible BRs

Revision 1.127  2010/01/19 23:22:28  sparky
- updated to 1.0.20, builds nicely but not tested yet, so rel 0.1
- configure patch converted to lockpath_group patch
- link patch applied upstream - removed
- added hp_rts88xx patch - patches Makefile.am unlike patch-sane.sh which
  edits Makefile.in; prepare hp_rts88xx manually - don't use patch-sane.sh
- BR: libv4l-devel
- build mustek600iin-off also on x8664
- added new backends
- sane-pint man page is out - it is bsd-only tool

Revision 1.126  2010/01/14 23:14:22  hawk
- no texlive in Titanium, release 7

Revision 1.125  2009/08/05 08:44:56  arekm
- release 6

Revision 1.124  2009/07/14 12:18:18  arekm
- rel 5; builds

Revision 1.123  2009/07/12 03:27:56  arekm
- release 4

Revision 1.122  2009/02/04 13:18:13  hawk
- BR libusb-compat to make it work with libusb 1.0.0

Revision 1.121  2009/01/27 22:22:59  hawk
- release 2

Revision 1.120  2008/05/30 22:23:34  qboosh
- updated to 1.0.19
- updated link,pl.po-update patches, removed obsolete pmake,locale-names patches
- added configure,missing-files patches

Revision 1.119  2008-01-26 15:58:17  qboosh
- ghost soname symlink
- release 2

Revision 1.118  2008-01-26 15:19:18  qboosh
- ieee1284 it not x86-specific; parport interface exists on almost all Linux archs
  (exceptions: m32r, frv, m68k w/o ISA, sparc64 w/o PCI, real 32-bit sparc)

Revision 1.117  2007-02-12 22:09:14  glen
- tabs in preamble

Revision 1.116  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.115  2006/11/14 10:58:38  qboosh
- libltdl is libgphoto2 dependency

Revision 1.114  2006/11/14 03:52:14  psz
- missing BR

Revision 1.113  2006/08/20 22:25:12  qboosh
- updated to 1.0.18, hp_rts88xx driver updated to 0.18
- updated hp_rts88xx-fixes,link,pl.po-update patches

Revision 1.112  2006/07/26 17:09:08  prism
- reverted, too much coffee today ;-)

Revision 1.111  2006/07/26 16:56:50  prism
- where the hell did the mustek_pp go!?
- rel++, STBR for Ac/Th

Revision 1.110  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.109  2005/12/26 22:34:39  qboosh
- updated to 1.0.17, updated pl.po-update,link patches
- removed unsupported usb bcond

Revision 1.108  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.107  2005/09/22 10:48:27  qboosh
- updated link and hp_rts88xx-fixes patches to fix linking with -lresmgr
  now -devel doesn't force resmgr-devel build dependency
- release 3

Revision 1.106  2005/09/16 18:04:26  sparky
- group usb for /var/lock/sane

Revision 1.105  2005/09/16 14:23:35  sparky
- added /var/lock/sane, dir required when using libusb
- rel 2; STBR

Revision 1.104  2005/08/29 19:28:25  qboosh
- BR: resmgr-devel (used if found; linking needs fix)

Revision 1.103  2005/08/13 20:43:52  qboosh
- added pl.po-update patch

Revision 1.102  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.101  2005/08/09 17:19:02  saq
- patch0 isn't necessary anymore
- rm another (unpackaged) copy of docs

Revision 1.100  2005/08/09 16:21:31  arekm
- up to 1.0.16; added genesys driver

Revision 1.99  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.98  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.97  2005/01/06 11:14:55  qboosh
- pp drivers are built on amd64 too

Revision 1.96  2004/11/08 07:47:47  qboosh
- updated to 1.0.15, hp_rts88xx driver to 0.17n (built by default now)
- updated link,locale-names patches, added hp_rts88xx-fixes patch

Revision 1.95  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.94  2004/09/16 00:05:32  ankry
- %userremove/%groupremove support
- unification

Revision 1.93  2004/09/05 09:51:51  adasi
- hp4470c scanner support added

Revision 1.92  2004/07/22 09:38:57  qboosh
- added locale-names patch, change no->nb; release 2

Revision 1.91  2004/05/15 09:52:58  qboosh
- updated to 1.0.14, updated link patch

Revision 1.90  2004/04/11 09:11:58  andree
- BR: tetex-latex-psnfss

Revision 1.89  2003/12/28 19:35:14  qboosh
- fixed underquotation in sane-backends.m4; release 2

Revision 1.88  2003/11/28 13:56:58  qboosh
- plustek pp code moved to backend, kernel module no longer necessary (Obsoletes)

Revision 1.87  2003/11/28 13:41:16  qboosh
- updated to 1.0.13, updated link patch
- new-style bconds, reworked split (separate package with all pp drivers)

Revision 1.86  2003/10/17 16:57:14  qboosh
- updated URL

Revision 1.85  2003/10/11 15:00:03  blues
- cosmetics

Revision 1.84  2003/09/07 00:04:26  ankry
- cosmetics

Revision 1.83  2003/08/18 08:09:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.82  2003/06/01 10:53:06  qboosh
- updated to final 1.0.12
- updated link patch, removed obsolete DESTDIR patch

Revision 1.81  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.80  2003/05/25 06:26:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.79  2003/05/12 20:34:12  qboosh
- updated to 1.0.12-pre1, added hp5400 backend
- updated link patch, replaced acinclude patch by head(1), added DESTDIR patch
- fixed avision,fujitsu,ma1509 backends linking

Revision 1.78  2003/05/11 21:17:26  qboosh
- added bconds for libgphoto2,libieee1284,libusb
- added .m4 file with AM_PATH_SANE stolen sane-frontends/acinclude.m4
- release 2

Revision 1.77  2003/03/03 19:25:13  juandon
- added pmake.patch

Revision 1.76  2003/02/19 13:09:00  qboosh
- autoconf >= 2.54 required

Revision 1.75  2003/02/12 12:39:54  qboosh
- cleanup after moving driver to kernel-plustek-sane.spec

Revision 1.74  2003/02/10 17:41:17  wiget
- updated to 1.0.11 (fix DoS in saned)

Revision 1.73  2003/02/02 13:21:03  kloczek
- corrected Source url.

Revision 1.72  2003/02/02 01:39:55  qboosh
- final 1.0.10
- updated link patch, separated hpsj5s driver (requires libieee1284)
- enabled gphoto2 (we have proper libgphoto2 version now)
- made -plustek real driver package (containing not only manual)
- removed static modules and their *.la

Revision 1.71  2003/01/27 15:03:39  wiget
- updated to pre3

Revision 1.70  2003/01/20 11:57:24  wiget
- upgraded to 1.0.10-pre2
- removed plustek support modules (must be moved to separated spec)

Revision 1.69  2003/01/02 18:05:53  kloczek
- merge translations from MIZI.

Revision 1.68  2002/12/07 14:34:16  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.67  2002/11/29 10:55:31  newrom
- Updated to ver 1.0.9
- Comented out sane-backends-link.patch, need updates
- Compile but must be tested (don't work for me)

Revision 1.66  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.65  2002/11/17 20:17:39  kloczek
- release 17: rebuild against kernel 2.2.22-6.

Revision 1.64  2002/11/02 11:29:30  ankry
- rel. 16 (rebuild against kernel 2.2.22-4)

Revision 1.63  2002/10/15 09:30:32  qboosh
- ldconfig call moved from -saned to base; release 15, STBR

Revision 1.62  2002/10/12 12:59:16  marcus
- rel.14 (for kernel 2.2.22-3)

Revision 1.61  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.60  2002/09/30 13:33:37  kloczek
- release 13: rebuild against kernel 2.2.22.

Revision 1.59  2002/09/15 19:42:34  kloczek
- release 12: rebuild against kernel 2.2.21-7.

Revision 1.58  2002/09/06 09:06:58  qboosh
- fixed build on alpha, release 11

Revision 1.57  2002/09/02 21:14:48  kloczek
- cosmetics.

Revision 1.56  2002/09/02 21:09:34  mkochano
- Release 10.
- Update plustek driver to 43_7.

Revision 1.55  2002/09/02 20:17:25  mkochano
- Release 9.
- Removed not-existing doc.

Revision 1.54  2002/08/18 15:29:59  kloczek
- release 8.

Revision 1.53  2002/08/18 15:20:22  blues
- license fix

Revision 1.52  2002/07/29 21:08:19  qboosh
- oops, more requires moved to -saned; release 7

Revision 1.51  2002/07/29 19:36:10  kloczek
- release 6.

Revision 1.50  2002/07/29 18:35:03  jack
- moved PreReq rc-inetd from base package to subpackage saned

Revision 1.49  2002/07/27 11:34:37  qboosh
- moved saned to saned subpackage; release 5

Revision 1.48  2002/06/19 17:44:23  marcus
- added BR gettext-devel

Revision 1.47  2002/06/18 10:36:53  qboosh
- canon_pp requires libieee1284, so it is ix86-only

Revision 1.46  2002/06/18 09:55:33  kloczek
- use libieee1284 only on %{ix86}.

Revision 1.45  2002/06/18 07:10:14  marcus
- libieee1284 is not for ppc

Revision 1.44  2002/06/16 18:17:46  qboosh
- added canon_pp, ready to add gphoto2 backend (but it requires CVS gphoto2)
- changed libusb-link patch to link patch, which relaxes linking with more libs
- subpackages with backends that require more libs (canon_pp, gphoto2, sm3600)
- more docs, moved sane(7) man from -devel to base
- release 4

Revision 1.43  2002/06/16 11:52:40  qboosh
- enabled pnm backend and translations
- new %doc
- don't run automake - this package doesn't use am
- release 3

Revision 1.42  2002/06/12 14:11:48  qboosh
- added missing sane-find-scanner program; release 2

Revision 1.41  2002/06/02 09:28:46  kloczek
- fixed %prep.

Revision 1.40  2002/06/02 08:04:05  kloczek
- updated to 1.0.8,
- build plustek kernel modules only on %{ix86} (package is now also sparc* ready),
- removed outdate DESTDIR patch.

Revision 1.39  2002/05/21 23:14:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/05/08 08:53:30  qboosh
- typo, sorted base description translations

Revision 1.37  2002/05/07 20:00:39  marcus
- sane-mustek600IIN is NOT for ppc
- rel.2.21

Revision 1.36  2002/03/14 21:02:17  qboosh
- fixed kernel modules building
- revised Prereqs and Requires
- release 2.20

Revision 1.35  2002/03/13 19:19:51  mkochano
- Release 2.12.
- This time it really has plustek docs. Really really ;)

Revision 1.34  2002/03/13 18:47:02  mkochano
- Release 2.11.
- Corrected %files: now plustek docs should be included.

Revision 1.33  2002/03/13 18:40:37  mkochano
- Release 2.10.
- Kernel modules moved to kernel-char-plustek and
  kernel-smtp-char-plustek. Documentation and manual in
  sane-backend-plustek which is required by both kernel-* packages.

Revision 1.32  2002/03/13 17:34:25  mkochano
- Release 2.9.
- Renamed plustek-up_smp_switch patch to plustek-Makefile.
- No longer use subshells. The do not propagate exit codes correctly.
  STBR for /test

Revision 1.31  2002/03/12 22:16:13  mkochano
- Release 2.1.
- Politically correct smp/up.
  IT DOESN'T BUILD!

Revision 1.30  2002/03/12 21:18:24  mkochano
- Release 2.
- Added post and postun sections with depmod -a to plustek subpackage.
- Plustek subpackage PreReq /sbin/depmod.

Revision 1.29  2002/03/12 20:48:47  mkochano
- Updated to 1.0.7.
- Release 1.
- Added newer version of plustek driver.
- Subpackage with plustek kernel module added.
- Removed patches which were merged with sources.

Revision 1.28  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/02/19 20:40:40  qboosh
- prevent restarting inetd twice during upgrade; release 8

Revision 1.26  2002/01/18 02:14:51  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/16 13:48:11  mkochano
- Release 7.
- devel subpackage does *not* require libusb-devel. Grrrr....

Revision 1.24  2001/12/15 12:27:12  mkochano
- Release 6.
- "devel" subpackage requires libusb-devel.

Revision 1.23  2001/12/07 22:28:10  qboosh
- libusb-link patch: link with -lusb only when it's needed (libsane-sm3600.so)
  (separate it so libusb wouldn't be needed for use SANE with other scanners?)
- cosmetics

Revision 1.22  2001/12/05 06:45:03  kloczek
- release 5: merge translations from Conectiva and adapterize spec.

Revision 1.21  2001/12/05 01:20:30  blues
- changed user-making to apache-like (better)

Revision 1.20  2001/12/04 22:23:09  kloczek
- reverte last change.

Revision 1.19  2001/12/04 22:12:42  kloczek
- disable USB support on sparc*, alpha.

Revision 1.18  2001/12/04 21:51:08  kloczek
- updated to 1.0.6 (bugfixes and few new backends); release 4,
- merge rawhide patches,
- build support for USB scanners (added libusb-devel to BuildRequires).

Revision 1.17  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.16  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/07/02 16:56:17  kloczek
- remove checking in %pre is sane services is avalaible (in /etc/services).

Revision 1.13  2001/07/02 16:24:12  qboosh
- 1.0.5, updated Source0 URL, updated DESTDIR,no_libs patches
- removed obsoleted includes,mustek-gamma patches

Revision 1.12  2001/06/08 20:10:05  zagrodzki
- fixed %post
- release 3

Revision 1.11  2001/04/30 16:05:30  kloczek
- added using %{rpmcflags} macro.

Revision 1.10  2001/03/08 07:25:10  kloczek
- more raname.

Revision 1.9  2001/03/08 07:24:13  kloczek
- more fixes for rename subpackages names.

Revision 1.8  2001/03/08 07:22:04  kloczek
- relese 2,
- rename sane-backends-sane-devel -> sane-backends-devel,
  	 sane-backends-sane-static -> sane-backends-staic.

Revision 1.7  2001/02/12 01:16:49  kloczek
- revert changes for sane-{devel,static}.

Revision 1.6  2001/02/12 01:03:58  kloczek
- rename devel, static subpackages to sane-devel, sane-static.

Revision 1.5  2001/02/12 00:56:08  kloczek
- fix in %build (removed bogus line - my fault),
- added autoconf to BuildRequires.

Revision 1.4  2001/02/12 00:45:42  kloczek
- added sane to Obsoletes.

Revision 1.3  2001/02/12 00:43:39  kloczek
- adapterized,
- fixed passing $RPM_OPT_FLAGS in %build,
- few cosmetics.

Revision 1.2  2001/02/10 23:37:26  qboosh
- includes patch (now sane-backends can be built)
- mustek-gamma patch (fixes problems with 600 II N in gray mode)
- BuildConflicts: sane (caused false dependency)
- BuildRequires: libjpeg, Prereq: sh-utils, shadow, grep
- build mustek600iin-off utility (as separate package)
- add sane tcp/6566 to /etc/services if necessary

Revision 1.1  2001/02/09 15:46:35  zagrodzki
- updated to 1.0.4
